#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=icon_dsa4.ico
#AutoIt3Wrapper_Outfile=install_mod.exe
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_Res_Comment=Installer fr Drakensang - Am Fluss der Zeit Mods
#AutoIt3Wrapper_Res_Description=Installer fr Drakensang - Am Fluss der Zeit Mods
#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
#AutoIt3Wrapper_Res_LegalCopyright=2011 Jochen Grundmann
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_Res_requestedExecutionLevel=requireAdministrator
#AutoIt3Wrapper_Add_Constants=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
;Drakensang AFdZ Mod Installer Version 0.1

#include <SQLite.au3>
#include <SQLite.dll.au3>
#include <ButtonConstants.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <ProgressConstants.au3>
#include <EditConstants.au3>
#include <file.au3>
#include "messages.au3"
#Region ### START Koda GUI section ### Form=C:\Dokumente und Einstellungen\Jochen\Eigene Dateien\mod_installer\mod_install_main.kxf
$frm_main = GUICreate($txt_main_title & $mod_name, 409, 328, -1, -1)
$Group1 = GUICtrlCreateGroup($txt_group_install, 16, 8, 169, 217)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$cmd_afdz = GUICtrlCreateButton($txt_cmd_afdz, 32, 32, 137, 49)
$cmd_pg = GUICtrlCreateButton($txt_cmd_pg, 32, 93, 137, 49)
$cmd_patch = GUICtrlCreateButton($txt_cmd_patch, 32, 154, 137, 49)
;$cmd_close = GUICtrlCreateButton($txt_cmd_close, 202, 186, 81, 41)
$Pic1 = GUICtrlCreatePic($logo, 199, 14, 200, 156)
GUICtrlSetState(-1, $GUI_DISABLE)
$Group2 = GUICtrlCreateGroup($txt_group_uninstall, 16, 237, 376, 81)
$deinst_afdz = GUICtrlCreateButton($txt_cmd_afdz, 32, 259, 137, 49)
$deinst_pg = GUICtrlCreateButton($txt_cmd_pg, 240, 259, 137, 49)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$cmd_about = GUICtrlCreateButton($txt_about, 240, 180, 137, 49)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

$license_txt = "This program is free software: you can redistribute it and/or modify" & @CRLF & "it under the terms of the GNU General Public License as published by" & @CRLF & "the Free Software Foundation, either version 3 of the License, or"& @CRLF & "(at your option) any later version." & @CRLF & @CRLF & "This program is distributed in the hope that it will be useful,"& @CRLF & "but WITHOUT ANY WARRANTY; without even the implied warranty of" & @CRLF & "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the" &@CRLF & "GNU General Public License for more details." & @CRLF & @CRLF & "You should have received a copy of the GNU General Public License" & @CRLF & "along with this program. If not, see <http://www.gnu.org/licenses/>."

;Variablen
;Installationspfad und Versionsnummer
if @OSArch = "x86" Then
	$installpath = RegRead("HKEY_LOCAL_MACHINE\Software\DTP\Drakensang_TRoT", "target_folder")
	$version = RegRead("HKEY_LOCAL_MACHINE\Software\DTP\Drakensang_TRoT", "version")
	$reg_key = "HKEY_LOCAL_MACHINE\Software\DTP\Drakensang_TRoT"
Elseif @OSArch = "x64" Then
	$installpath = RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\DTP\Drakensang_TRoT", "target_folder")
	$version = RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\DTP\Drakensang_TRoT", "version")
	$reg_key = "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\DTP\Drakensang_TRoT"
EndIf
if RegRead($reg_key, "version_addon") = "" Then
	GUICtrlSetState($cmd_pg, $GUI_DISABLE)
	GUICtrlSetState($deinst_pg, $GUI_DISABLE)
EndIf

;Pfad fr Datenbanken
$path_db = $installpath & "\export\db\"
$static = $path_db & "static.db4"
$game = $path_db & "game.db4"
$locale = $path_db & "locale.db4"
$statica1 = $path_db & "statica1.db4"
$gamea1 = $path_db & "gamea1.db4"
;Pfad zu den Icons
$icons = $installpath & "\export\textures\icons\"
$savepath = @MyDocumentsDir & "\Drakensang_TRoT\profiles\default\save"


If $installpath = "" Then
	MsgBox(16, $fehler, $installdir_not_found1 & Chr(13) & $installdir_not_found2)
Else
	;MsgBox(0, "Info", $version)
	;MsgBox(64, "Info", $static & Chr(13) & $game & Chr(13) & $locale & Chr(13) & $statica1 & Chr(13) & $gamea1)
	While 1
		$msg = GUIGetMsg()

		If $msg = $GUI_EVENT_CLOSE Then ExitLoop

		;If $msg = $cmd_close Then ExitLoop

		If $msg = $cmd_afdz Then
			; Hauptfenster deaktivieren
			GUISetState(@SW_HIDE, $frm_main)
			show_progress("afdz")
			GUISetState(@SW_SHOW, $frm_main)
		EndIf
		If $msg = $cmd_pg Then
			; Hauptfenster deaktivieren
			GUISetState(@SW_HIDE, $frm_main)
			show_progress("pg")
			GUISetState(@SW_SHOW, $frm_main)
		EndIf
		If $msg = $cmd_patch Then
		GUISetState(@SW_HIDE, $frm_main)
		patchsavegame()
		GUISetState(@SW_SHOW, $frm_main)
		EndIf
		If $msg = $deinst_afdz Then
		GUISetState(@SW_HIDE, $frm_main)
		start_uninstall("afdz")
		GUISetState(@SW_SHOW, $frm_main)
		EndIf
		If $msg = $deinst_pg Then
		GUISetState(@SW_HIDE, $frm_main)
		start_uninstall("pg")
		GUISetState(@SW_SHOW, $frm_main)
		EndIf
		If $msg = $cmd_about Then
		GUISetState(@SW_HIDE, $frm_main)
		show_info()
		GUISetState(@SW_SHOW, $frm_main)
		EndIf
		WEnd

EndIf

Func show_progress($spiel)
#Region ### START Koda GUI section ### Form=C:\Dokumente und Einstellungen\Jochen\Eigene Dateien\mod_installer\frm_rogress.kxf
$frm_progress = GUICreate($install, 592, 195, -1, -1)
$Progress1 = GUICtrlCreateProgress(17, 32, 551, 25, $PBS_SMOOTH)
$cmd_fertig = GUICtrlCreateButton($inst_done, 240, 160, 129, 25)
GUICtrlSetState(-1, $GUI_DISABLE)
$lbl_install = GUICtrlCreateLabel($txt_lbl_install & $mod_name, 16, 8, 275, 17)
$lbl_copy_graphics = GUICtrlCreateLabel($copy_graph, 16, 64, 83, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$lbl_sik = GUICtrlCreateLabel($save_db, 16, 81, 153, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$lbl_locale = GUICtrlCreateLabel($act_locale, 16, 98, 89, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$lbl_static = GUICtrlCreateLabel($act_static, 16, 115, 86, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$lbl_game = GUICtrlCreateLabel($act_game, 16, 132, 87, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$ok1 = GUICtrlCreateLabel("", 104, 64, 13, 16)
GUICtrlSetFont(-1, 8, 400, 0, "Wingdings")
GUICtrlSetColor(-1, 0x008000)
GUICtrlSetState(-1, $GUI_HIDE)
$ok2 = GUICtrlCreateLabel("", 176, 81, 13, 16)
GUICtrlSetFont(-1, 8, 400, 0, "Wingdings")
GUICtrlSetColor(-1, 0x008000)
GUICtrlSetState(-1, $GUI_HIDE)
$ok3 = GUICtrlCreateLabel("", 273, 98, 13, 16)
GUICtrlSetFont(-1, 8, 400, 0, "Wingdings")
GUICtrlSetColor(-1, 0x008000)
GUICtrlSetState(-1, $GUI_HIDE)
$ok4 = GUICtrlCreateLabel("", 273, 114, 13, 16)
GUICtrlSetFont(-1, 8, 400, 0, "Wingdings")
GUICtrlSetColor(-1, 0x008000)
GUICtrlSetState(-1, $GUI_HIDE)
$ok5 = GUICtrlCreateLabel("", 273, 132, 13, 16)
GUICtrlSetFont(-1, 8, 400, 0, "Wingdings")
GUICtrlSetColor(-1, 0x008000)
GUICtrlSetState(-1, $GUI_HIDE)
$ds_l = GUICtrlCreateLabel($ds_msg, 145, 98, 130, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$ds_s = GUICtrlCreateLabel($ds_msg, 145, 115, 130, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$ds_g = GUICtrlCreateLabel($ds_msg, 145, 132, 130, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$anz_locale = GUICtrlCreateLabel($ds_msg, 112, 98, 25, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$anz_static = GUICtrlCreateLabel($ds_msg, 112, 115, 25, 17)
GUICtrlSetState(-1, $GUI_HIDE)
$anz_game = GUICtrlCreateLabel($ds_msg, 112, 132, 25, 17)
GUICtrlSetState(-1, $GUI_HIDE)



GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###
	If $spiel = "afdz" Then start_install($static, $game, $locale, $Progress1, $cmd_fertig, $lbl_copy_graphics, $lbl_game, $lbl_locale, $lbl_sik, $lbl_static, $ok1, $ok2, $ok3, $ok4, $ok5, $ds_l, $ds_s, $ds_g, $spiel, $anz_game, $anz_locale, $anz_static)
	If $spiel = "pg" Then start_install($statica1, $gamea1, $locale, $Progress1, $cmd_fertig, $lbl_copy_graphics, $lbl_game, $lbl_locale, $lbl_sik, $lbl_static, $ok1, $ok2, $ok3, $ok4, $ok5, $ds_l, $ds_s, $ds_g, $spiel, $anz_game, $anz_locale, $anz_static)
	While 1
		$nMsg = GUIGetMsg()
		If $nMsg = $cmd_fertig Then
			GUIDelete($frm_progress)
			ExitLoop
			;Else
			;	start_install($static, $game, $locale)

		EndIf
	WEnd
EndFunc   ;==>show_progress


Func start_install($static, $game, $locale, $Progress1, $cmd_fertig, $lbl_copy_graphics, $lbl_game, $lbl_locale, $lbl_sik, $lbl_static, $ok1, $ok2, $ok3, $ok4, $ok5, $ds_l, $ds_s, $ds_g, $spiel, $anz_game, $anz_locale, $anz_static)
	; Registry Eintrge schreiben
	If $spiel = "afdz" Then
	RegWrite($reg_key, $reg_groupname_afdz, "REG_SZ", $mod_name)
	RegWrite($reg_key, $reg_version_afdz, "REG_SZ", $version_nr)
	EndIf
	If $spiel = "pg" Then
	RegWrite($reg_key, $reg_groupname_pg, "REG_SZ", $mod_name)
	RegWrite($reg_key, $reg_version_pg, "REG_SZ", $version_nr)
	EndIf

	GUICtrlSetState($lbl_copy_graphics, $GUI_SHOW)
	FileCopy("textures\icons\*.*", $icons, 9)
	GUICtrlSetData($Progress1, 10)
	GUICtrlSetState($ok1, $GUI_SHOW)
	;Sicherung der Datenbanken
	;GUICtrlSetData($lbl_install, $msg_progress02)
	GUICtrlSetState($lbl_sik, $GUI_SHOW)
	If $spiel = "afdz" Then
		FileCopy($static, $path_db & $db_bak_static & $version & $db_bak_ext, 9)
		GUICtrlSetData($Progress1, 20)
		FileCopy($game, $path_db & $db_bak_game & $version & $db_bak_ext, 9)
		GUICtrlSetData($Progress1, 30)
	EndIf
	If $spiel = "pg" Then
		FileCopy($static, $path_db & $db_bak_statica1 & $version & $db_bak_ext, 9)
		GUICtrlSetData($Progress1, 20)
		FileCopy($game, $path_db & $db_bak_gamea1 & $version & $db_bak_ext, 9)
		GUICtrlSetData($Progress1, 30)
	EndIf
	FileCopy($locale, $path_db & $db_bak_locale & $version & $db_bak_ext, 9)
	GUICtrlSetData($Progress1, 40)
	GUICtrlSetState($ok2, $GUI_SHOW)
	;SQLite starten
	_SQLite_Startup()
	;***********************************************************************
	;locale.db4 einlesen
	_SQLite_Open($locale)
	$i = _FileCountLines($path_inst_locale)
	$file = FileOpen($path_inst_locale, 0)
	; Prfen, ob Datei egelesen wurde
	If $file = -1 Then
		MsgBox(16, $fehler, $file_not_found)
		Exit
	EndIf

	;GUICtrlSetData($lbl_install, $msg_progress03)
	GUICtrlSetState($lbl_locale, $GUI_SHOW)
	; Zeilen des Textes einlesen bis EOF
	$anz = 1
	$s = 40
	GUICtrlSetState($ds_l, $GUI_SHOW)
	GUICtrlSetState($anz_locale, $GUI_SHOW)
		While 1
		$line = FileReadLine($file)
		If @error = -1 Then ExitLoop
		_SQLite_Exec(-1, $line)
		GUICtrlSetData($Progress1, $s)
		GUICtrlSetData($anz_locale, $anz)
		$s = $s + 20/$i
		$anz = $anz + 1
		;MsgBox(0, "Zeile gelesen:", $line)
	WEnd
	FileClose($file)
	GUICtrlSetData($Progress1, 60)
	GUICtrlSetState($ok3, $GUI_SHOW)
	;GUICtrlSetData($ds_l, $i & $ds_msg)
	;GUICtrlSetState($ds_l, $GUI_SHOW)
	_SQLite_Close()
	;************************************************************************
	;static.db4 einlesen
	_SQLite_Open($static)

	If $spiel = "afdz" Then
		$i = _FileCountLines($path_inst_static)
		$file = FileOpen($path_inst_static, 0)
	ElseIf $spiel = "pg" Then
		$i = _FileCountLines($path_inst_statica1)
		$file = FileOpen($path_inst_statica1, 0)
	EndIf
	; Prfen, ob Datei eingelesen wurde
	If $file = -1 Then
		MsgBox(16, $fehler, $file_not_found)
		Exit
	EndIf
	$anz = 1
	$s = 60
	;GUICtrlSetData($lbl_install, $msg_progress04)
	GUICtrlSetState($lbl_static, $GUI_SHOW)
	; Zeilen des Textes einlesen bis EOF
	GUICtrlSetState($ds_s, $GUI_SHOW)
	GUICtrlSetState($anz_static, $GUI_SHOW)
	While 1
		$line = FileReadLine($file)
		If @error = -1 Then ExitLoop
		_SQLite_Exec(-1, $line)
		GUICtrlSetData($Progress1, $s)
		GUICtrlSetData($anz_static, $anz)
		$s = $s + 20/$i
		$anz = $anz + 1
		;MsgBox(0, "Zeile gelesen:", $line)
	WEnd
	FileClose($file)
	GUICtrlSetData($Progress1, 80)
	GUICtrlSetState($ok4, $GUI_SHOW)
	;GUICtrlSetData($ds_s, $i & $ds_msg)
	;GUICtrlSetState($ds_s, $GUI_SHOW)
	_SQLite_Close()
	;************************************************************************
	;game.db4 einlesen
	_SQLite_Open($game)
	$i = _FileCountLines($path_inst_game)
	$file = FileOpen($path_inst_game, 0)
	; Prfen, ob Datei eingelesen wurde
	If $file = -1 Then
		MsgBox(16, $fehler, $file_not_found)
		Exit
	EndIf
	$anz = 1
	$s = 80
	;GUICtrlSetData($lbl_install, $msg_progress05)
	GUICtrlSetState($lbl_game, $GUI_SHOW)
	; Zeilen des Textes einlesen bis EOF
	GUICtrlSetState($ds_g, $GUI_SHOW)
	GUICtrlSetState($anz_game, $GUI_SHOW)
	While 1
		$line = FileReadLine($file)
		If @error = -1 Then ExitLoop
		_SQLite_Exec(-1, $line)
		GUICtrlSetData($Progress1, $s)
		GUICtrlSetData($anz_game, $anz)
		$s = $s + 20/$i
		$anz = $anz + 1
	WEnd
	FileClose($file)
	GUICtrlSetData($Progress1, 100)
	GUICtrlSetState($ok5, $GUI_SHOW)
	;GUICtrlSetData($ds_g, $i & $ds_msg)
	;GUICtrlSetState($ds_g, $GUI_SHOW)
	_SQLite_Close()
	_SQLite_Shutdown()

	;GUICtrlSetData($lbl_install, $msg_progress06)
	GUICtrlSetState($cmd_fertig, $GUI_ENABLE)
EndFunc   ;==>start_install
;*********************************************************************************
Func patchsavegame()
	$patch = FileSelectFolder($save_folder, "", 2, $savepath)
;MsgBox(0, "Patch", $patch)
	If $patch = "" Then
		MsgBox(16, $fehler, $folder_not_found)
		;GUIDelete($progress2)
		GUISetState(@SW_SHOW, $frm_main)
		;Exit
	ElseIf FileExists($patch & "\savegame.dsa") = 0 Then
			MsgBox(16, $fehler, $folder_not_found)
		;GUIDelete($progress2)
		GUISetState(@SW_SHOW, $frm_main)
Else
#Region ### START Koda GUI section ### Form=C:\Dokumente und Einstellungen\Jochen\Eigene Dateien\mod_installer\progress2.kxf
$progress2 = GUICreate($txt_patch, 598, 102, -1, -1)
$Label1 = GUICtrlCreateLabel($act_save, 16, 8, 112, 17)
$save_done = GUICtrlCreateButton($inst_done, 240, 68, 129, 25)
GUICtrlSetState(-1, $GUI_DISABLE)
$progress_save = GUICtrlCreateProgress(16, 32, 570, 25)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###



startpatch($patch, $save_done, $progress_save, $progress2)
;MsgBox(0, "Test", $patch)
While 1
		$msg_close = GUIGetMsg()
		If $msg_close = $save_done Then
			GUIDelete($progress2)
			ExitLoop
		EndIf
	WEnd
	EndIf
EndFunc

Func startpatch($patch, $save_done, $progress_save, $progress2)
	;MsgBox(0, "Ordner", $patch)
	$i = _FileCountLines($path_save_patch)
	$file = FileOpen($path_save_patch, 0)
	If $file = -1 Then
		MsgBox(16, $fehler, $file_not_found)
		Exit
	EndIf

	$s = 0
	_SQLite_Startup()
	$check_path = $patch & "\savegame.dsa"
	if FileExists($check_path) Then
	 _SQLite_Open($patch & "\savegame.dsa")

		While 1
		$line = FileReadLine($file)
		If @error = -1 Then ExitLoop
		_SQLite_Exec(-1, $line)
		GUICtrlSetData($progress_save, $s)
		$s = $s + 100/$i
		;MsgBox(0, "Zeile gelesen:", $line)
	WEnd
	GUICtrlSetData($progress_save, 100)
	;MsgBox(0, "Ordner", $line)
	FileClose($file)
	_SQLite_Close()
	_SQLite_Shutdown()
	GUICtrlSetState($save_done, $GUI_ENABLE)

	EndIf

EndFunc
; Deinstallieren *************************************************


Func start_uninstall($spiel)
	if $spiel = "afdz" then
		$group = $reg_groupname_afdz
	elseif $spiel = "pg" then
		$group = $reg_groupname_pg
	EndIf
	if RegRead($reg_key, $group) = "" Then
	MsgBox(16, $fehler, $no_mod)
	GUISetState(@SW_SHOW, $frm_main)
	Else



#Region ### START Koda GUI section ### Form=c:\dokumente und einstellungen\jochen\eigene dateien\mod_installer\progress_uninst.kxf
$frm_uninst = GUICreate($txt_uninstall, 598, 102, -1, -1)
$lbl_uninst = GUICtrlCreateLabel($txt_uninst & $mod_name, 16, 8, 264, 17)
$uninst_done = GUICtrlCreateButton($inst_done, 240, 68, 129, 25)
GUICtrlSetState(-1, $GUI_DISABLE)
$progress_uninst = GUICtrlCreateProgress(16, 32, 569, 25, $PBS_SMOOTH)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

	if $spiel = "afdz" Then uninst_progress($static, $game, $locale, $frm_uninst, $lbl_uninst, $uninst_done, $progress_uninst, $spiel)
	if $spiel = "pg" Then uninst_progress($statica1, $gamea1, $locale, $frm_uninst, $lbl_uninst, $uninst_done, $progress_uninst, $spiel)
While 1
		$msg_close = GUIGetMsg()
		If $msg_close = $uninst_done Then
			GUIDelete($frm_uninst)
			ExitLoop
		EndIf
	WEnd
EndIf
EndFunc


func uninst_progress($static, $game, $locale, $frm_uninst, $lbl_uninst, $uninst_done, $progress_uninst, $spiel)
	;MsgBox(0, "Test", $icons)
	If $spiel = "afdz" Then
	RegDelete($reg_key, $reg_groupname_afdz)
	RegDelete($reg_key, $reg_version_afdz)
	EndIf
	If $spiel = "pg" Then
	RegDelete($reg_key, $reg_groupname_pg)
	RegDelete($reg_key, $reg_version_pg)
EndIf

For $element In $grafik
	FileDelete($icons & $element)
Next

	GUICtrlSetData($progress_uninst, 10)
	$i = _FileCountLines($path_uninst_static)
	$file = FileOpen($path_uninst_static, 0)
	If $file = -1 Then
		MsgBox(16, $fehler, $file_not_found)
		Exit
	EndIf
	_SQLite_Startup()
	_SQLite_Open($static)
	$s = 10
	; Zeilen des Textes einlesen bis EOF
	While 1
		$line = FileReadLine($file)
		If @error = -1 Then ExitLoop
		_SQLite_Exec(-1, $line)
		GUICtrlSetData($progress_uninst, $s)
		$s = $s + 30/$i
		;MsgBox(0, "Zeile gelesen:", $line)
	WEnd
	FileClose($file)
	GUICtrlSetData($progress_uninst, 40)
	_SQLite_Close()
	$i = _FileCountLines($path_uninst_game)
	$file = FileOpen($path_uninst_game, 0)
	If $file = -1 Then
		MsgBox(16, $fehler, $file_not_found)
		Exit
	EndIf
	_SQLite_Startup()
	_SQLite_Open($game)
	$s = 40
	; Zeilen des Textes einlesen bis EOF
	While 1
		$line = FileReadLine($file)
		If @error = -1 Then ExitLoop
		_SQLite_Exec(-1, $line)
		GUICtrlSetData($progress_uninst, $s)
		$s = $s + 30/$i
		;MsgBox(0, "Zeile gelesen:", $line)
	WEnd
	FileClose($file)
	GUICtrlSetData($progress_uninst, 70)
	_SQLite_Close()
	$i = _FileCountLines($path_uninst_locale)
	$file = FileOpen($path_uninst_locale, 0)
	If $file = -1 Then
		MsgBox(16, $fehler, $file_not_found)
		Exit
	EndIf
	_SQLite_Startup()
	_SQLite_Open($locale)
	$s = 70
	; Zeilen des Textes einlesen bis EOF
	While 1
		$line = FileReadLine($file)
		If @error = -1 Then ExitLoop
		_SQLite_Exec(-1, $line)
		GUICtrlSetData($progress_uninst, $s)
		$s = $s + 30/$i
		;MsgBox(0, "Zeile gelesen:", $line)
	WEnd
	FileClose($file)
	GUICtrlSetData($progress_uninst, 100)
	_SQLite_Close()
	_SQLite_Shutdown()
	GUICtrlSetState($uninst_done, $GUI_ENABLE)
EndFunc

Func show_info()
#Region ### START Koda GUI section ### Form=C:\Dokumente und Einstellungen\Jochen\Eigene Dateien\mod_installer\about.kxf
$about = GUICreate("ber", 410, 198, -1, -1)
$Label1 = GUICtrlCreateLabel("", -55, 8, 4, 4)
GUICtrlSetFont(-1, 14, 800, 0, "MS Sans Serif")
$Label2 = GUICtrlCreateLabel("Mod Installer", 127, 8, 155, 33)
GUICtrlSetFont(-1, 18, 800, 0, "MS Sans Serif")
$Label3 = GUICtrlCreateLabel("fr Drakensang - Am Fluss der Zeit", 62, 43, 285, 24)
GUICtrlSetFont(-1, 12, 800, 0, "MS Sans Serif")
$Label4 = GUICtrlCreateLabel("Version 1.0", 164, 69, 81, 20)
GUICtrlSetFont(-1, 10, 800, 0, "MS Sans Serif")
$Label5 = GUICtrlCreateLabel("Copyright 2011 Jochen Grundmann", 83, 89, 242, 20)
GUICtrlSetFont(-1, 10, 800, 0, "MS Sans Serif")
$Label6 = GUICtrlCreateLabel("Lizenz: GNU General Public License Version 3", 88, 120, 223, 17)
$close_about = GUICtrlCreateButton("Schlieen", 224, 150, 153, 25)
$lizenz = GUICtrlCreateButton("Lizenz", 41, 150, 153, 25)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

While 1
		$msg_close = GUIGetMsg()
		If $msg_close = $close_about Then
			GUIDelete($about)
			ExitLoop
		EndIf
		If $msg_close = $lizenz Then show_license()
WEnd
EndFunc

Func show_license ()
$license = GUICreate("Lizenz", 500, 230, -1, -1)
$Edit1 = GUICtrlCreateEdit("", 8, 8, 601, 433)
GUICtrlSetStyle($Edit1, $ES_READONLY)
GUICtrlSetFont(-1, 11, 400, 0, "MS Sans Serif")
GUISetState(@SW_SHOW)
GUICtrlSetData ($Edit1,$license_txt)

While 1
		$lmsg= GUIGetMsg()
		If $lmsg = $GUI_EVENT_CLOSE Then
			GUIDelete($license)
			ExitLoop
		EndIf
WEnd
EndFunc
